API ReferenceEcosystems
Delete ecosystem
Roles
admindts-provider
Analytics Events
ECOSYSTEM_DELETE_STARTECOSYSTEM_DELETE_SUCCESSECOSYSTEM_DELETE_FAIL
DELETE
/v1/ecosystems/{ecosystemId}Deletes an ecosystem by its ID.
Analytic events
- ECOSYSTEM_DELETE_START
- ECOSYSTEM_DELETE_SUCCESS
- ECOSYSTEM_DELETE_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
ecosystemId*string
The UUID of the ecosystem
Format
uuidResponse Body
application/json
application/json
curl -X DELETE "https://example.vii.au01.mattr.global/v1/ecosystems/87880d7e-a4d0-462e-8383-3f1e5e16865d"Empty
{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}Empty
How would you rate this page?
Update ecosystem PUT
Updates an ecosystem by its ID. ### **Analytic events** * ECOSYSTEM_UPDATE_START * ECOSYSTEM_UPDATE_SUCCESS * ECOSYSTEM_UPDATE_FAIL
Sync ecosystem POST
Synchronizes all configured consumptions and integrations by retrieving the most recent trust information. **Analytic events** * ECOSYSTEM_TENANT_SYNC_ALL_START * ECOSYSTEM_TENANT_SYNC_ALL_SUCCESS * ECOSYSTEM_TENANT_SYNC_ALL_FAIL